#include "triangles.h"

using namespace std;


std::vector<std::vector<int>> solve(int n) {
	for (int i = 0; i < 4; i++) {
		vector<int> a = {};
		for (int j = 0; j < 4; j++) {
			if (j == i) {
				continue;
			}
			a.push_back(j);
		}
		vector<Triangle> left = {Triangle(a[0], a[1], a[2])};
		vector<Triangle> right = {
			Triangle(a[0], a[1], i),
			Triangle(a[0], a[2], i),
			Triangle(a[1], a[2], i)
		};

		int res = compare(left, right);
		if (res == 0) {
			vector<vector<int>> ans;
			for (Triangle i : right) {
				ans.push_back({ i.i, i.j, i.k });
			}
			return ans;
		}
	}
	vector<vector<int>> ans = {
		{0, 1, 2}, {2, 3, 0}
	};
	return ans;

}
